Bug 1402074 - docker command overwrites DOCKER_CERT_PATH variable
Summary: docker command overwrites DOCKER_CERT_PATH variable
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 25
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 17:35 UTC by Phip
Modified: 2017-12-12 10:52 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:52:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1346206 None CLOSED docker command overwrites DOCKER_CERT_PATH variable 2018-05-16 23:50:52 UTC

Description Phip 2016-12-06 17:35:20 UTC
Description of problem:

This is a duplicate of an issue identified and fixed in RHEL 7--

/usr/bin/docker (wrapper) overwrites DOCKER_CERT_PATH variable by sourcing file /etc/sysconfig/docker, which contains:
DOCKER_CERT_PATH=/etc/docker

This breaks scenario when user want to configure docker client to communicate with specific server.

Version-Release number of selected component (if applicable):
docker-common-2:1.12.3-12

How reproducible:
always

Steps to Reproduce:
1. Configure docker client similar to this:

export DOCKER_HOST=tcp://10.1.2.2:2376
export DOCKER_CERT_PATH=/path/to/dir/with/cert
export DOCKER_TLS_VERIFY=1

2. run docker version # or any other docker command

Actual results:
Could not read CA certificate "/etc/docker/ca.pem": open /etc/docker/ca.pem: no such file or directory

Expected results:
expected version info about client and server sides

Additional info:
As mentioned in the RHEL bug--

An easy workaround is to update /etc/sysconfig/docker to not override DOCKER_CERT_PATH if it is already set:

< DOCKER_CERT_PATH=/etc/docker
---
> if [ -z "${DOCKER_CERT_PATH}" ]; then
>   DOCKER_CERT_PATH=/etc/docker
> fi

Comment 1 Lalatendu Mohanty 2017-03-07 10:06:02 UTC
 I am also seeing the same issue. Because of the issue I can not reuse docker daemon from a CentOS VM running on Fedora 25 using environment variable (DOCKER_CERT_PATH=/home/lmohanty/.minishift/certs)

Comment 2 Daniel Walsh 2017-03-07 13:47:56 UTC
This fix is in f26 and F27.

Comment 3 Mikey Ariel 2017-03-15 13:33:48 UTC
(In reply to Daniel Walsh from comment #2)
> This fix is in f26 and F27.

Will this fix also be backported to F25 or would we need to upgrade to F26 in order to resolve this?

Comment 4 Fedora End Of Life 2017-11-16 19:39:04 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:52:56 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.